<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: Nu-LB-Mini51/src/i2c_software_gpio_with_timer.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="dir_97b8181d9a45c5ab0b3b58a411b81586.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">i2c_software_gpio_with_timer.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>MINI51 series software I2C driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &quot;<a class="el" href="i2c__software__gpio__with__timer_8h_source.html">i2c_software_gpio_with_timer.h</a>&quot;</code><br />
</div>
<p><a href="i2c__software__gpio__with__timer_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a81d21f1575835add118c879d84cb4abf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a81d21f1575835add118c879d84cb4abf">I2C_SW_SDA</a>&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga53363ced95468be345f9859354e300d1">P34</a></td></tr>
<tr class="separator:a81d21f1575835add118c879d84cb4abf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a028eb740bf0f553771e7c352fbb21cd7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a028eb740bf0f553771e7c352fbb21cd7">I2C_SW_CLK</a>&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf8f8b5ee3e318ca6ec685c3acec99de">P35</a></td></tr>
<tr class="separator:a028eb740bf0f553771e7c352fbb21cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:a3d006e648a7c1244a98a5417c0420125"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a3d006e648a7c1244a98a5417c0420125">TIMER_CALLBACK</a>) (void)</td></tr>
<tr class="separator:a3d006e648a7c1244a98a5417c0420125"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ac1f09962a4e8407f58384531270dc131"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#ac1f09962a4e8407f58384531270dc131">I2C_SW_I_Open</a> (uint32_t u32BusClock)</td></tr>
<tr class="memdesc:ac1f09962a4e8407f58384531270dc131"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prepare to start software I2C.  <a href="#ac1f09962a4e8407f58384531270dc131">More...</a><br /></td></tr>
<tr class="separator:ac1f09962a4e8407f58384531270dc131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af51953d3efc6de255b27b3a471c99d93"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#af51953d3efc6de255b27b3a471c99d93">TMR0_IRQHandler</a> (void)</td></tr>
<tr class="memdesc:af51953d3efc6de255b27b3a471c99d93"><td class="mdescLeft">&#160;</td><td class="mdescRight">ISR to handle TIMER0 interrupt event.  <a href="#af51953d3efc6de255b27b3a471c99d93">More...</a><br /></td></tr>
<tr class="separator:af51953d3efc6de255b27b3a471c99d93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a219a8c2404f5cb48f32c4d5387c2ccc9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a219a8c2404f5cb48f32c4d5387c2ccc9">I2C_SW_I_Send_Stop</a> (void)</td></tr>
<tr class="memdesc:a219a8c2404f5cb48f32c4d5387c2ccc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send I2C STOP signal.  <a href="#a219a8c2404f5cb48f32c4d5387c2ccc9">More...</a><br /></td></tr>
<tr class="separator:a219a8c2404f5cb48f32c4d5387c2ccc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2616486b326439fd1e2e9f496f671522"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a2616486b326439fd1e2e9f496f671522">I2C_SW_I_Get_Byte</a> (void)</td></tr>
<tr class="memdesc:a2616486b326439fd1e2e9f496f671522"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read a byte.  <a href="#a2616486b326439fd1e2e9f496f671522">More...</a><br /></td></tr>
<tr class="separator:a2616486b326439fd1e2e9f496f671522"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff675fbf5a8e5193004cd54912ef7e0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#aff675fbf5a8e5193004cd54912ef7e0c">I2C_SW_I_Send_Byte</a> (void)</td></tr>
<tr class="memdesc:aff675fbf5a8e5193004cd54912ef7e0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send a byte.  <a href="#aff675fbf5a8e5193004cd54912ef7e0c">More...</a><br /></td></tr>
<tr class="separator:aff675fbf5a8e5193004cd54912ef7e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a676b4875a31f38af2cc8d2454eab4b31"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a676b4875a31f38af2cc8d2454eab4b31">I2C_SW_I_Send_Start</a> (void)</td></tr>
<tr class="memdesc:a676b4875a31f38af2cc8d2454eab4b31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send I2C START signal.  <a href="#a676b4875a31f38af2cc8d2454eab4b31">More...</a><br /></td></tr>
<tr class="separator:a676b4875a31f38af2cc8d2454eab4b31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1718089f74461b7482360f5dd0b284d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#ad1718089f74461b7482360f5dd0b284d">I2C_SW_I_Send</a> (uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</td></tr>
<tr class="memdesc:ad1718089f74461b7482360f5dd0b284d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send data.  <a href="#ad1718089f74461b7482360f5dd0b284d">More...</a><br /></td></tr>
<tr class="separator:ad1718089f74461b7482360f5dd0b284d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acef25674042c84614c2e54e26b99275b"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#acef25674042c84614c2e54e26b99275b">I2C_SW_I_IsBZ</a> (void)</td></tr>
<tr class="memdesc:acef25674042c84614c2e54e26b99275b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if I2C is busy.  <a href="#acef25674042c84614c2e54e26b99275b">More...</a><br /></td></tr>
<tr class="separator:acef25674042c84614c2e54e26b99275b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92ef1cc8ac1c2a2f3f02ef76eeef8730"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a92ef1cc8ac1c2a2f3f02ef76eeef8730">I2C_SW_I_Count</a> (void)</td></tr>
<tr class="memdesc:a92ef1cc8ac1c2a2f3f02ef76eeef8730"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return byte counter.  <a href="#a92ef1cc8ac1c2a2f3f02ef76eeef8730">More...</a><br /></td></tr>
<tr class="separator:a92ef1cc8ac1c2a2f3f02ef76eeef8730"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedbe35225c1a245d8767f94bda029017"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#aedbe35225c1a245d8767f94bda029017">I2C_SW_I_Get</a> (uint8_t u8Address, uint8_t *p8Data, uint32_t u32ByteSize)</td></tr>
<tr class="memdesc:aedbe35225c1a245d8767f94bda029017"><td class="mdescLeft">&#160;</td><td class="mdescRight">Read data.  <a href="#aedbe35225c1a245d8767f94bda029017">More...</a><br /></td></tr>
<tr class="separator:aedbe35225c1a245d8767f94bda029017"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a33904df7e3327767909fc4d4ba9fc2ae"><td class="memItemLeft" align="right" valign="top"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a3d006e648a7c1244a98a5417c0420125">TIMER_CALLBACK</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a33904df7e3327767909fc4d4ba9fc2ae">funPtr</a></td></tr>
<tr class="separator:a33904df7e3327767909fc4d4ba9fc2ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b06394ff9c2c1a20dd018325b46462a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html">I2C_SW_FLAG_T</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a8b06394ff9c2c1a20dd018325b46462a">I2C_SW_STATUS</a></td></tr>
<tr class="separator:a8b06394ff9c2c1a20dd018325b46462a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8823849687343e22b66b7f55b7111c59"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a8823849687343e22b66b7f55b7111c59">u8I2C_Buffer</a></td></tr>
<tr class="separator:a8823849687343e22b66b7f55b7111c59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60861a2162622c3c270d28b1d03167bc"><td class="memItemLeft" align="right" valign="top">uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a60861a2162622c3c270d28b1d03167bc">p8I2C_Data</a></td></tr>
<tr class="separator:a60861a2162622c3c270d28b1d03167bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5950f60986ee66754eb90475804d227c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a5950f60986ee66754eb90475804d227c">u32I2C_ByteSize</a></td></tr>
<tr class="separator:a5950f60986ee66754eb90475804d227c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0baccfb6cbba3eac2588de1c5ddb8a6c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a0baccfb6cbba3eac2588de1c5ddb8a6c">u32I2C_ByteSizeCount</a></td></tr>
<tr class="separator:a0baccfb6cbba3eac2588de1c5ddb8a6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MINI51 series software I2C driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V0.10 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>4 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>13/09/30 6:48p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a028eb740bf0f553771e7c352fbb21cd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a028eb740bf0f553771e7c352fbb21cd7">&#9670;&nbsp;</a></span>I2C_SW_CLK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_SW_CLK&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf8f8b5ee3e318ca6ec685c3acec99de">P35</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00017">17</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="a81d21f1575835add118c879d84cb4abf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81d21f1575835add118c879d84cb4abf">&#9670;&nbsp;</a></span>I2C_SW_SDA</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define I2C_SW_SDA&#160;&#160;&#160;<a class="el" href="group___m_i_n_i51___g_p_i_o___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga53363ced95468be345f9859354e300d1">P34</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00016">16</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a3d006e648a7c1244a98a5417c0420125"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d006e648a7c1244a98a5417c0420125">&#9670;&nbsp;</a></span>TIMER_CALLBACK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* TIMER_CALLBACK) (void)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00019">19</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="a92ef1cc8ac1c2a2f3f02ef76eeef8730"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92ef1cc8ac1c2a2f3f02ef76eeef8730">&#9670;&nbsp;</a></span>I2C_SW_I_Count()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Count </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return byte counter. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">-</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Byte</td><td>counter </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00271">271</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="aedbe35225c1a245d8767f94bda029017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedbe35225c1a245d8767f94bda029017">&#9670;&nbsp;</a></span>I2C_SW_I_Get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Get </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>p8Data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ByteSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u8Address</td><td>I2C slave address </td></tr>
    <tr><td class="paramname">p8Data</td><td>data address </td></tr>
    <tr><td class="paramname">u32ByteSize</td><td>data length </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success </td></tr>
    <tr><td class="paramname">1</td><td>Fail </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00284">284</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="a2616486b326439fd1e2e9f496f671522"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2616486b326439fd1e2e9f496f671522">&#9670;&nbsp;</a></span>I2C_SW_I_Get_Byte()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_SW_I_Get_Byte </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Read a byte. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00105">105</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="acef25674042c84614c2e54e26b99275b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acef25674042c84614c2e54e26b99275b">&#9670;&nbsp;</a></span>I2C_SW_I_IsBZ()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_IsBZ </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check if I2C is busy. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Not Busy </td></tr>
    <tr><td class="paramname">1</td><td>Busy </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00261">261</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="ac1f09962a4e8407f58384531270dc131"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1f09962a4e8407f58384531270dc131">&#9670;&nbsp;</a></span>I2C_SW_I_Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Open </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32BusClock</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Prepare to start software I2C. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u32BusClock</td><td>I2C Bus Clock (Hz) </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">0</td><td>Success </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00033">33</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="ad1718089f74461b7482360f5dd0b284d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1718089f74461b7482360f5dd0b284d">&#9670;&nbsp;</a></span>I2C_SW_I_Send()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t I2C_SW_I_Send </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>u8Address</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>p8Data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>u32ByteSize</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">u8Address</td><td>I2C slave address </td></tr>
    <tr><td class="paramname">p8Data</td><td>data address </td></tr>
    <tr><td class="paramname">u32ByteSize</td><td>data length </td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">1</td><td>I2C is busy </td></tr>
    <tr><td class="paramname">0</td><td>Success </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00232">232</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="aff675fbf5a8e5193004cd54912ef7e0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff675fbf5a8e5193004cd54912ef7e0c">&#9670;&nbsp;</a></span>I2C_SW_I_Send_Byte()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_SW_I_Send_Byte </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send a byte. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00149">149</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="a676b4875a31f38af2cc8d2454eab4b31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a676b4875a31f38af2cc8d2454eab4b31">&#9670;&nbsp;</a></span>I2C_SW_I_Send_Start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_SW_I_Send_Start </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send I2C START signal. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00210">210</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="a219a8c2404f5cb48f32c4d5387c2ccc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a219a8c2404f5cb48f32c4d5387c2ccc9">&#9670;&nbsp;</a></span>I2C_SW_I_Send_Stop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void I2C_SW_I_Send_Stop </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send I2C STOP signal. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00081">81</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="af51953d3efc6de255b27b3a471c99d93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af51953d3efc6de255b27b3a471c99d93">&#9670;&nbsp;</a></span>TMR0_IRQHandler()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TMR0_IRQHandler </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>ISR to handle TIMER0 interrupt event. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>None </dd></dl>

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00065">65</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a33904df7e3327767909fc4d4ba9fc2ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33904df7e3327767909fc4d4ba9fc2ae">&#9670;&nbsp;</a></span>funPtr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="i2c__software__gpio__with__timer_8c.html#a3d006e648a7c1244a98a5417c0420125">TIMER_CALLBACK</a> funPtr</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00021">21</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="a8b06394ff9c2c1a20dd018325b46462a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b06394ff9c2c1a20dd018325b46462a">&#9670;&nbsp;</a></span>I2C_SW_STATUS</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_i2_c___s_w___f_l_a_g___t.html">I2C_SW_FLAG_T</a> I2C_SW_STATUS</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00022">22</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="a60861a2162622c3c270d28b1d03167bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60861a2162622c3c270d28b1d03167bc">&#9670;&nbsp;</a></span>p8I2C_Data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t* p8I2C_Data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00025">25</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="a5950f60986ee66754eb90475804d227c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5950f60986ee66754eb90475804d227c">&#9670;&nbsp;</a></span>u32I2C_ByteSize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t u32I2C_ByteSize</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00026">26</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="a0baccfb6cbba3eac2588de1c5ddb8a6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0baccfb6cbba3eac2588de1c5ddb8a6c">&#9670;&nbsp;</a></span>u32I2C_ByteSizeCount</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t u32I2C_ByteSizeCount</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00026">26</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
<a id="a8823849687343e22b66b7f55b7111c59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8823849687343e22b66b7f55b7111c59">&#9670;&nbsp;</a></span>u8I2C_Buffer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t u8I2C_Buffer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="i2c__software__gpio__with__timer_8c_source.html#l00024">24</a> of file <a class="el" href="i2c__software__gpio__with__timer_8c_source.html">i2c_software_gpio_with_timer.c</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
